  

function parseTwitterDate(tdate) {
    var system_date = new Date(Date.parse(tdate));
    var user_date = new Date();

    var diff = Math.floor((user_date - system_date) / 1000);
    if (diff <= 1) {return "Ara mateix";}
    if (diff < 20) {return "Fa "+ diff + " segons";}
  
    if (diff < 60) {return "Fa menys d'un minut";}
    if (diff <= 90) {return "Fa un minut";}
    if (diff <= 3540) {return "Fa "+Math.round(diff / 60) + " minuts";}
    if (diff <= 5400) {return "Fa una hora";}
    if (diff <= 86400) {return "Fa "+Math.round(diff / 3600) + " hores";}
    if (diff <= 129600) {return "Ahir";}
    if (diff < 604800) {return "Fa "+Math.round(diff / 86400) + " dies";}
    if (diff <= 777600) {return "Fa una semana";}
    return "A les " + system_date;
}



var twitter_params = {
    q : 'from:Mobilitat_AND',
    result_type : 'recent',
    rpp : '20',
    callback : '?'
};

var twitter_search_url = "http://search.twitter.com/search.json";


$$.get(twitter_search_url, twitter_params, function(response){
    data = response;
    for(var i=0;i<data.results.length;i++){
	var fill= data.results[i];
	//console.error(fill);
	 $$('section#tweets article#tweets ul').append('<li><strong>'+fill.text+'</strong><small>'+parseTwitterDate(fill.created_at)+'</small></li>');
}

//antic mustache.js
   // var template = "{{#results}}<li><strong>{{text}}</strong><small>{{parseTwitterDate(created_at)}}</small></li>{{/results}}";
   //  var html = Mustache.to_html(template, data);
   //  $$('section#tweets article#tweets ul').html(html);

 url=data.refresh_url;

});



