        var url;
        var startPos;

        function ubiquem(){
          navigator.geolocation.getCurrentPosition(function(position) {
            startPos = position;
          });
        }
        function initialize() {

          var mapOptions = {
            center: new google.maps.LatLng(42.543469003332994, 1.5703582763671875),
            zoom: 10,
            mapTypeId: google.maps.MapTypeId.ROADMAP
          };
          var map = new google.maps.Map(document.getElementById("map_canvas"),
            mapOptions);

        function hasPosition(position) {
     initialLocation = new google.maps.LatLng(position.coords.latitude,position.coords.longitude);

            var marker = new google.maps.Marker({
              position: initialLocation,
              map: map,
              title:"Ubicació Actual"
            });
		marker.setAnimation(google.maps.Animation.DROP)

}
             navigator.geolocation.getCurrentPosition(hasPosition);
          google.maps.event.addListenerOnce(map, 'idle', function() {
            Lungo.Notification.hide();

          });

          var polyOptions = {
            strokeColor: '#FF9900',
            strokeOpacity: 0.7,
            strokeWeight: 4
          }

          var polyOptions2 = {
            strokeColor: '#FF0000',
            strokeOpacity: 0.7,
            strokeWeight: 4
          }

          downloadUrl('app/resources/resources/trams2.xml', function(data) {

            var xx = parseXml(data);
            var markerNodes = xx.documentElement.getElementsByTagName("ad.andorratelecom.iandorra.ws.wrappers.WsTrafficTram");
            var poly = new Array();

            for (var i = 0; i < markerNodes.length; i++) {
             var puntss = markerNodes[i].childNodes[5].childNodes;
             if (markerNodes[i].childNodes[3].childNodes[0].nodeValue==2){
               poly[i] = new google.maps.Polyline(polyOptions);
             } else {
               poly[i] = new google.maps.Polyline(polyOptions2);
             }             poly[i].setMap(map);

             for (var j = 0; j < puntss.length; j++) {
               if (puntss.item(j).nodeType==1)
               {
                var parell =new google.maps.LatLng(puntss.item(j).childNodes[1].firstChild.nodeValue, puntss.item(j).childNodes[3].firstChild.nodeValue);

                var path = poly[i].getPath();
                path.push(parell);
              }
            }
          }
        }); 
      }


      function parseXml(str) {
        if (window.ActiveXObject) {
          var doc = new ActiveXObject('Microsoft.XMLDOM');
          doc.loadXML(str);
          return doc;
        } else if (window.DOMParser) {
          return (new DOMParser).parseFromString(str, 'text/xml');
        }
      }

      function downloadUrl(url, callback) {
        var request = window.ActiveXObject ?
        new ActiveXObject('Microsoft.XMLHTTP') :
        new XMLHttpRequest;

        request.onreadystatechange = function() {
          if (request.readyState == 4) {
            request.onreadystatechange = doNothing;
            callback(request.responseText, request.status);
          }
        };

        request.open('GET', url, true);
        request.send(null);
      }
      function doNothing() {}
      function getDistanceFromLatLonInKm(lat1,lon1,lat2,lon2) {
  var R = 6371; // Radius of the earth in km
  var dLat = deg2rad(lat2-lat1);  // deg2rad below
  var dLon = deg2rad(lon2-lon1); 
  var a = 
  Math.sin(dLat/2) * Math.sin(dLat/2) +
  Math.cos(deg2rad(lat1)) * Math.cos(deg2rad(lat2)) * 
  Math.sin(dLon/2) * Math.sin(dLon/2)
  ; 
  var c = 2 * Math.atan2(Math.sqrt(a), Math.sqrt(1-a)); 
  var d = R * c; // Distance in km
  return d;
}

function deg2rad(deg) {
  return deg * (Math.PI/180)
}


function carregaImatges(){
  Lungo.Notification.loading();
  downloadUrl('app/resources/resources/cams.xml', function(data) {

    var xx = parseXml(data);
    markerNodes = xx.documentElement.getElementsByTagName("cam");

    for (var i = 0; i < markerNodes.length; i++) {
      if (markerNodes[i].attributes.getNamedItem("estado").nodeValue==1){

        $$('section#cams article ul.three.row.horizontal.scroll').append('<img id="'+i+'" src="http://www.mobilitat.ad/fotos/'+markerNodes[i].attributes.getNamedItem("file").nodeValue+'">');

      }
    }
    ampliaImatge(1);
    Lungo.Events.init({
      'tap section#cams ul#mini img': function (al) {
        ampliaImatge(al.target.getAttribute("id"));
      }

    });
  }); 

}

function ampliaImatge(numero){
  $$('section#cams article ul#gran').html('<img src="http://www.mobilitat.ad/fotos/'+markerNodes[numero].attributes.getNamedItem("file").nodeValue+'">');

  var startPos;

  navigator.geolocation.getCurrentPosition(function(position) {
    startPos = position;
    $$('section#cams article h1').html(markerNodes[numero].childNodes[0].nodeValue+'<br>Distància: '+getDistanceFromLatLonInKm(startPos.coords.latitude,startPos.coords.longitude,markerNodes[numero].attributes.getNamedItem("lat").nodeValue,markerNodes[numero].attributes.getNamedItem("lng").nodeValue ).toFixed(3)+'km');
  });
}
